< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs10x
  Definition Classes
    accounts
-  package boxes
  Definition Classes
    frs10x
- AC13
- AC15
- AC16
- AC17
- AC24
- AC25
- AC8021
- AC8023
- AC8033
- AC8051
- AC8052
- AC8053
- AC8054
- AC8081
- AC8082
- AC8083
- AC8088
- AC8089
- AC8899
- ACQ8003
- ACQ8009
- ACQ8161
- ACQ8989
- ACQ8990
- ACQ8991
- ACQ8999
- Director
- Directors
- NotTradedStatementRequired
- ProfitAndLossStatementRequired

c

uk.gov.hmrc.ct.accounts.frs10x.boxes

# NotTradedStatementRequired 

###
Companion object NotTradedStatementRequired

#### case class NotTradedStatementRequired(value: Boolean) extends CtBoxIdentifier with CtBoolean with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CtBoolean, CtValue[Boolean], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NotTradedStatementRequired
2. Serializable
3. Serializable
4. Product
5. Equals
6. CtBoolean
7. CtValue
8. CtBoxIdentifier
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new NotTradedStatementRequired(value: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def asBoolean: Option[Boolean]
   Definition Classes
     CtBoolean
5.  def asBoxString: Option[String]
   Definition Classes
     CtValue
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def id: String
    Definition Classes
      CtBoxIdentifier
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val name: String
    Definition Classes
      CtBoxIdentifier
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  val value: Boolean
    Definition Classes
      NotTradedStatementRequired → CtValue
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CtBoolean

### Inherited from CtValue[Boolean]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped